#
# spec file for package moodle (Version 1.8.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork apache2-utils attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl diffutils ed fdupes file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libmysqlclient15 libnscd libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp mysql mysql-client ncurses net-tools netcfg openldap2-client openssl-certs pam pam-modules patch pcre perl perl-base permissions popt post-build-checks pwdutils rpm sed sysvinit tar tcpd texinfo timezone unzip util-linux zlib


Name:           moodle
Summary:        A Course Management System
Url:            http://moodle.org/
License:        LGPL v2.1 or later
Group:          Productivity/Networking/Web/Utilities
AutoReqProv:    no
Version:        1.8.2
Release:        17.14
Source:         moodle-1.8.2.tar.bz2
Source2:        moodle.cron 
Source3:        moodle_include.conf
Source4:        moodle.config.dummy
Source5:        moodle-config.php
Source6:        moodle-README.SuSE
Source7:        moodle-rpmlintrc
Source10:       moodle-oss.tar.bz2
Source110:      af_utf8.zip
Source111:      ar_utf8.zip
Source112:      be_utf8.zip
Source113:      bg_utf8.zip
Source114:      bs_utf8.zip
Source115:      ca_utf8.zip
Source116:      cs_utf8.zip
Source117:      da_utf8.zip
Source118:      de_utf8.zip
Source119:      el_utf8.zip
Source120:      en_utf8.zip
Source121:      es_utf8.zip
Source122:      et_utf8.zip
Source123:      eu_utf8.zip
Source124:      fa_utf8.zip
Source125:      fi_utf8.zip
Source126:      fr_utf8.zip
Source127:      ga_utf8.zip
Source128:      gl_utf8.zip
Source129:      he_utf8.zip
Source130:      hi_utf8.zip
Source131:      hr_utf8.zip
Source132:      hu_utf8.zip
Source133:      id_utf8.zip
Source134:      is_utf8.zip
Source135:      it_utf8.zip
Source136:      ja_utf8.zip
Source137:      ka_utf8.zip
Source138:      km_utf8.zip
Source139:      kn_utf8.zip
Source140:      ko_utf8.zip
Source141:      lt_utf8.zip
Source142:      lv_utf8.zip
Source143:      mi_tn_utf8.zip
Source144:      ms_utf8.zip
Source145:      nl_utf8.zip
Source146:      nn_utf8.zip
Source147:      no_utf8.zip
Source148:      pl_utf8.zip
Source149:      pt_utf8.zip
Source150:      ro_utf8.zip
Source151:      ru_utf8.zip
Source152:      sk_utf8.zip
Source153:      sl_utf8.zip
Source154:      so_utf8.zip
Source155:      sq_utf8.zip
Source156:      sr_utf8.zip
Source157:      sv_utf8.zip
Source158:      th_utf8.zip
Source159:      tl_utf8.zip
Source160:      tr_utf8.zip
Source161:      uk_utf8.zip
Source162:      vi_utf8.zip
Source163:      zh_cn_utf8.zip
Source164:      de_du_utf8.zip
Patch1:         moodle-1.8.2-CVE-2008-0123.patch
Patch2:         moodle-CVE-2008-1066.patch
Patch3:         moodle-1.8.2-CVE-2008-1502.patch
Patch4:         moodle-1.8.2-CVE-2008-3326.patch
Patch5:         moodle-1.8.2-CVE-2008-5432.patch
Patch6:         moodle-1.8.2-CVE-2009-0499.patch
Patch7:         moodle-1.8.2-CVE-2009-0500.patch
Patch8:         moodle-1.8.2-CVE-2009-0501.patch
Patch9:         moodle-1.8.2-CVE-2009-0502.patch
Patch10:        moodle-1.8.2-CVE-2009-1171.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
PreReq:         mysql >= 5.0
PreReq:         mysql-client >= 5.0
BuildRequires:  apache2-devel unzip
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
Requires:       apache2 mysql cron freetype2
%if %sles_version == 9
Requires:       apache2-mod_php4 php4-gd php4-mysql php4-gettext php4-imap php4-session php4-mbstring php4-iconv php4-zlib
Requires:       php4-ldap php4-imap php4-mcrypt
%else
Requires:       mod_php_any      php-gd  php-mysql  php-gettext  php-imap  php-session  php-mbstring  php-iconv  php-zlib
Requires:       php-mcrypt php5-pear-file php5-pear-mail php5-pear-mail_mime php-ldap php-imap
%endif
%define         apache_serverroot %(/usr/sbin/apxs2 -q DATADIR)
%define         apache_sysconfdir %(/usr/sbin/apxs2 -q SYSCONFDIR)
%define         moodlerootdir %{apache_serverroot}/moodle
%define         moodledatadir %{apache_serverroot}/moodledata
%define         moodleconfigdir %{_sysconfdir}/moodle
%define         moodleurl http://localhost/moodle
%define         crondir %{_sysconfdir}/cron.d
# skip test for devel dependencies required by libtool .la files: skip-check-libtool-deps

%description
Moodle is a course management system (CMS) - a free, Open Source
software package designed using sound pedagogical principles, to help
educators create effective online learning communities.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%debug_package
%package        af
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Afrikaans
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:af)
%endif

%description    af
This package contains files needed to display Moodle in Afrikaans.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          af
%defattr (-,root,root,-)
%{moodlerootdir}/lang/af_utf8*
#----------------------------------------------------------------------

%package        ar
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Arabic
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:ar)
%endif

%description    ar
This package contains files needed to display Moodle in Arabic.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          ar
%defattr (-,root,root,-)
%{moodlerootdir}/lang/ar_utf8*
#----------------------------------------------------------------------

%package        be
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Byelorussian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:be)
%endif

%description    be
This package contains files needed to display Moodle in Byelorussian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          be
%defattr (-,root,root,-)
%{moodlerootdir}/lang/be_utf8*
#----------------------------------------------------------------------

%package        bg
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Bulgarian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:bg)
%endif

%description    bg
This package contains files needed to display Moodle in Bulgarian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          bg
%defattr (-,root,root,-)
%{moodlerootdir}/lang/bg_utf8*
#----------------------------------------------------------------------

%package        bs
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Bosnian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:bs)
%endif

%description    bs
This package contains files needed to display Moodle in Bosnian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          bs
%defattr (-,root,root,-)
%{moodlerootdir}/lang/bs_utf8*
#----------------------------------------------------------------------

%package        ca
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Catalan
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:ca)
%endif

%description    ca
This package contains files needed to display Moodle in Catalan.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          ca
%defattr (-,root,root,-)
%{moodlerootdir}/lang/ca_utf8*
#----------------------------------------------------------------------

%package        cs
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Czech
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:cs)
%endif

%description    cs
This package contains files needed to display Moodle in Czech.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          cs
%defattr (-,root,root,-)
%{moodlerootdir}/lang/cs_utf8*
#----------------------------------------------------------------------

%package        da
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Danish
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:da)
%endif

%description    da
This package contains files needed to display Moodle in Danish.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          da
%defattr (-,root,root,-)
%{moodlerootdir}/lang/da_utf8*
#----------------------------------------------------------------------

%package        de
License:        LGPL v2.1 or later
Summary:        Moodle language pack for German
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:de)
%endif

%description    de
This package contains files needed to display Moodle in German.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          de
%defattr (-,root,root,-)
%{moodlerootdir}/lang/de_utf8*
#----------------------------------------------------------------------

%package        de_du
License:        LGPL v2.1 or later
Summary:        Moodle language pack for German (uses 'Du' instead of 'Sie')
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:de)
%endif

%description    de_du
This package contains files needed to display Moodle in German. Instead
of using 'Sie' this packages contains 'Du' translations.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          de_du
%defattr (-,root,root,-)
%{moodlerootdir}/lang/de_du*
#----------------------------------------------------------------------

%package        el
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Greek
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:el)
%endif

%description    el
This package contains files needed to display Moodle in Greek.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          el
%defattr (-,root,root,-)
%{moodlerootdir}/lang/el_utf8*
#----------------------------------------------------------------------

%package        es
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Spanish
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:es)
%endif

%description    es
This package contains files needed to display Moodle in Spanish.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          es
%defattr (-,root,root,-)
%{moodlerootdir}/lang/es_utf8*
#----------------------------------------------------------------------

%package        et
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Estonian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:et)
%endif

%description    et
This package contains files needed to display Moodle in Estonian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          et
%defattr (-,root,root,-)
%{moodlerootdir}/lang/et_utf8*
#----------------------------------------------------------------------

%package        eu
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Basque
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:eu)
%endif

%description    eu
This package contains files needed to display Moodle in Basque.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          eu
%defattr (-,root,root,-)
%{moodlerootdir}/lang/eu_utf8*
#----------------------------------------------------------------------

%package        fa
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Persian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:fa)
%endif

%description    fa
This package contains files needed to display Moodle in Persian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          fa
%defattr (-,root,root,-)
%{moodlerootdir}/lang/fa_utf8*
#----------------------------------------------------------------------

%package        fi
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Finnish
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:fi)
%endif

%description    fi
This package contains files needed to display Moodle in Finnish.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          fi
%defattr (-,root,root,-)
%{moodlerootdir}/lang/fi_utf8*
#----------------------------------------------------------------------

%package        fr
License:        LGPL v2.1 or later
Summary:        Moodle language pack for French
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:fr)
%endif

%description    fr
This package contains files needed to display Moodle in French.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          fr
%defattr (-,root,root,-)
%{moodlerootdir}/lang/fr_utf8*
#----------------------------------------------------------------------

%package        ga
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Irish
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:ga)
%endif

%description    ga
This package contains files needed to display Moodle in Irish.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          ga
%defattr (-,root,root,-)
%{moodlerootdir}/lang/ga_utf8*
#----------------------------------------------------------------------

%package        gl
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Galician
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:gl)
%endif

%description    gl
This package contains files needed to display Moodle in Galician.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          gl
%defattr (-,root,root,-)
%{moodlerootdir}/lang/gl_utf8*
#----------------------------------------------------------------------

%package        he
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Hebrew
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:he)
%endif

%description    he
This package contains files needed to display Moodle in Hebrew.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          he
%defattr (-,root,root,-)
%{moodlerootdir}/lang/he_utf8*
#----------------------------------------------------------------------

%package        hi
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Hindi
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:hi)
%endif

%description    hi
This package contains files needed to display Moodle in Hindi.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          hi
%defattr (-,root,root,-)
%{moodlerootdir}/lang/hi_utf8*
#----------------------------------------------------------------------

%package        hr
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Croatian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:hr)
%endif

%description    hr
This package contains files needed to display Moodle in Croatian



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          hr
%defattr (-,root,root,-)
%{moodlerootdir}/lang/hr_utf8*
#----------------------------------------------------------------------

%package        hu
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Hungarian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:hu)
%endif

%description    hu
This package contains files needed to display Moodle in Hungarian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          hu
%defattr (-,root,root,-)
%{moodlerootdir}/lang/hu_utf8*
#----------------------------------------------------------------------

%package        id
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Indonesian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:id)
%endif

%description    id
This package contains files needed to display Moodle in Indonesian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          id
%defattr (-,root,root,-)
%{moodlerootdir}/lang/id_utf8*

%package        is
License:        LGPL v2.1 or later
#----------------------------------------------------------------------
Summary:        Moodle language pack for Icelandic
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:is)
%endif

%description    is
This package contains files needed to display Moodle in Icelandic.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          is
%defattr (-,root,root,-)
%{moodlerootdir}/lang/is_utf8*
#----------------------------------------------------------------------

%package        it
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Italian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:it)
%endif

%description    it
This package contains files needed to display Moodle in Italian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          it
%defattr (-,root,root,-)
%{moodlerootdir}/lang/it_utf8*
#----------------------------------------------------------------------

%package        ja
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Japanese
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:ja)
%endif

%description    ja
This package contains files needed to display Moodle in Japanese.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          ja
%defattr (-,root,root,-)
%{moodlerootdir}/lang/ja_utf8*
#----------------------------------------------------------------------

%package        ka
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Georgian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:ka)
%endif

%description    ka
This package contains files needed to display Moodle in Georgian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          ka
%defattr (-,root,root,-)
%{moodlerootdir}/lang/ka_utf8*
#----------------------------------------------------------------------

%package        km
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Cambodian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:km)
%endif

%description    km
This package contains files needed to display Moodle in Cambodian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          km
%defattr (-,root,root,-)
%{moodlerootdir}/lang/km_utf8*
#----------------------------------------------------------------------

%package        kn
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Kannada
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:kn)
%endif

%description    kn
This package contains files needed to display Moodle in Kannada.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          kn
%defattr (-,root,root,-)
%{moodlerootdir}/lang/kn_utf8*
#----------------------------------------------------------------------

%package        ko
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Korean
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:ko)
%endif

%description    ko
This package contains files needed to display Moodle in Korean.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          ko
%defattr (-,root,root,-)
%{moodlerootdir}/lang/ko_utf8*
#----------------------------------------------------------------------

%package        lt
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Lithuanian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:lt)
%endif

%description    lt
This package contains files needed to display Moodle in Lithuanian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          lt
%defattr (-,root,root,-)
%{moodlerootdir}/lang/lt_utf8*
#----------------------------------------------------------------------

%package        lv
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Latvian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:lv)
%endif

%description    lv
This package contains files needed to display Moodle in Latvian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          lv
%defattr (-,root,root,-)
%{moodlerootdir}/lang/lv_utf8*
#----------------------------------------------------------------------

%package        mi_tn
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Maori
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:mi_tn)
%endif

%description    mi_tn
This package contains files needed to display Moodle in Maori.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          mi_tn
%defattr (-,root,root,-)
%{moodlerootdir}/lang/mi_tn_utf8*
#----------------------------------------------------------------------

%package        ms
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Malay
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:ms)
%endif

%description    ms
This package contains files needed to display Moodle in Malay.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          ms
%defattr (-,root,root,-)
%{moodlerootdir}/lang/ms_utf8*
#----------------------------------------------------------------------

%package        nl
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Dutch
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:nl)
%endif

%description    nl
This package contains files needed to display Moodle in Dutch.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          nl
%defattr (-,root,root,-)
%{moodlerootdir}/lang/nl_utf8*
#----------------------------------------------------------------------

%package        nn
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Nynorsk
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:nn)
%endif

%description    nn
This package contains files needed to display Moodle in Nynorsk.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          nn
%defattr (-,root,root,-)
%{moodlerootdir}/lang/nn_utf8*
#----------------------------------------------------------------------

%package        no
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Norwegian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:no)
%endif

%description    no
This package contains files needed to display Moodle in Norwegian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          no
%defattr (-,root,root,-)
%{moodlerootdir}/lang/no_utf8*
#----------------------------------------------------------------------

%package        pl
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Polish
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:pl)
%endif

%description    pl
This package contains files needed to display Moodle in Polish.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          pl
%defattr (-,root,root,-)
%{moodlerootdir}/lang/pl_utf8*
#----------------------------------------------------------------------

%package        pt
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Portuguese
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:pt)
%endif

%description    pt
This package contains files needed to display Moodle in Portuguese.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          pt
%defattr (-,root,root,-)
%{moodlerootdir}/lang/pt_utf8*
#----------------------------------------------------------------------

%package        ro
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Romanian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:ro)
%endif

%description    ro
This package contains files needed to display Moodle in Romanian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          ro
%defattr (-,root,root,-)
%{moodlerootdir}/lang/ro_utf8*
#----------------------------------------------------------------------

%package        ru
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Russian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:ru)
%endif

%description    ru
This package contains files needed to display Moodle in Russian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          ru
%defattr (-,root,root,-)
%{moodlerootdir}/lang/ru_utf8*
#----------------------------------------------------------------------

%package        sk
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Slovak
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:sk)
%endif

%description    sk
This package contains files needed to display Moodle in Slovak.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          sk
%defattr (-,root,root,-)
%{moodlerootdir}/lang/sk_utf8*
#----------------------------------------------------------------------

%package        sl
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Slovenian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:sl)
%endif

%description    sl
This package contains files needed to display Moodle in Slovenian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          sl
%defattr (-,root,root,-)
%{moodlerootdir}/lang/sl_utf8*
#----------------------------------------------------------------------

%package        so
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Somali
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:so)
%endif

%description    so
This package contains files needed to display Moodle in Somali.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          so
%defattr (-,root,root,-)
%{moodlerootdir}/lang/so_utf8*
#----------------------------------------------------------------------

%package        sq
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Albanian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:sq)
%endif

%description    sq
This package contains files needed to display Moodle in Albanian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          sq
%defattr (-,root,root,-)
%{moodlerootdir}/lang/sq_utf8*
#----------------------------------------------------------------------

%package        sr
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Serbian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:sr)
%endif

%description    sr
This package contains files needed to display Moodle in Serbian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          sr
%defattr (-,root,root,-)
%{moodlerootdir}/lang/sr_utf8*
#----------------------------------------------------------------------

%package        sv
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Swedish
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:sv)
%endif

%description    sv
This package contains files needed to display Moodle in Swedish.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          sv
%defattr (-,root,root,-)
%{moodlerootdir}/lang/sv_utf8*
#----------------------------------------------------------------------

%package        th
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Thai
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:th)
%endif

%description    th
This package contains files needed to display Moodle in Thai.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          th
%defattr (-,root,root,-)
%{moodlerootdir}/lang/th_utf8*
#----------------------------------------------------------------------

%package        tl
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Tagalog
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:tl)
%endif

%description    tl
This package contains files needed to display Moodle in Tagalog.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          tl
%defattr (-,root,root,-)
%{moodlerootdir}/lang/tl_utf8*
#----------------------------------------------------------------------

%package        tr
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Turkish
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:tr)
%endif

%description    tr
This package contains files needed to display Moodle in Turkish.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          tr
%defattr (-,root,root,-)
%{moodlerootdir}/lang/tr_utf8*
#----------------------------------------------------------------------

%package        uk
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Ukrainian
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:uk)
%endif

%description    uk
This package contains files needed to display Moodle in Ukrainian.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          uk
%defattr (-,root,root,-)
%{moodlerootdir}/lang/uk_utf8*
#----------------------------------------------------------------------

%package        vi
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Vietnamese
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:vi)
%endif

%description    vi
This package contains files needed to display Moodle in Vietnamese.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          vi
%defattr (-,root,root,-)
%{moodlerootdir}/lang/vi_utf8*
#----------------------------------------------------------------------

%package        zh_cn
License:        LGPL v2.1 or later
Summary:        Moodle language pack for Chinese  (Simplified) UTF8
Group:          Productivity/Networking/Web/Utilities
Requires:       moodle = %{version}-%{release}
%if %suse_version >= 1010
Provides:       locale(moodle:zh_cn)
%endif

%description    zh_cn
This package contains files needed to display Moodle in Chinese.



Authors:
--------
    Lead Developer - Martin Dougiamas 
    Knight in Shining Armor - Eloy Lafuente (stronk7) 
    Translation Coordinator - Koen Roggemans 
    Security Officer - Petr &#352;koda (skodak) 
    Documentation Steward - Helen Foster 
    Themes Manager - Urs Hunkler

%files          zh_cn
%defattr (-,root,root,-)
%{moodlerootdir}/lang/zh_cn_utf8*
# ---------------------------------------------------------------------------

%prep
%setup -q -n %{name} -a10
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
# ---------------------------------------------------------------------------

%build
# if the following command fails, then apache dependencies are not met
/usr/sbin/apxs2 -q datadir >/dev/null
# we don't need these files at all...
#%{__rm} %{_builddir}/%{name}/filter/tex/mimetex.darwin 
#%{__rm} %{_builddir}/%{name}/filter/tex/mimetex.freebsd
# ---------------------------------------------------------------------------

%install
%{__mkdir_p} %{buildroot}/%{moodlerootdir}
%{__mkdir_p} %{buildroot}/%{moodledatadir}/{1,2,cache,quarantine,sessions,temp,users,backup}
%{__mkdir_p} %{buildroot}/%{moodleconfigdir}
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/cron.d
%{__mkdir_p} %{buildroot}/%{apache_sysconfdir}/conf.d/
%{__mkdir_p} %{buildroot}/%{_defaultdocdir}/%{name}
%{__cp} -a * %{buildroot}/%{moodlerootdir}
# moodle language packs
cd %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE110} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE111} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE112} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE113} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE114} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE115} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE116} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE117} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE118} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE119} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE120} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE121} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE122} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE123} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE124} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE125} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE126} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE127} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE128} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE129} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE130} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE131} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE132} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE133} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE134} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE135} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE136} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE137} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE138} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE139} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE140} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE141} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE142} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE143} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE144} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE145} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE146} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE147} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE148} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE149} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE150} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE151} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE152} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE153} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE154} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE155} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE156} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE157} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE158} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE159} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE160} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE161} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE162} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE163} %{buildroot}/%{moodlerootdir}/lang/
install %{SOURCE164} %{buildroot}/%{moodlerootdir}/lang/
pushd %{buildroot}/%{moodlerootdir}/lang 1>/dev/null
for lang in %{buildroot}/%{moodlerootdir}/lang/*.zip; do
 unzip -u -o $lang
 rm $lang
done
popd 1>/dev/null
# cleanup unnecessary files
find %{buildroot} -name \*.bak -exec rm {} \;
find %{buildroot} -name ".#*" -exec rm {} \;
find %{buildroot} -name \*.exe -exec rm {} \;
find %{buildroot} -name \*.cvsignore -exec rm {} \;
find %{buildroot} -type d -name CVS -print0 | xargs -0 rm -rf {} \;
# mimetex 
pushd %{buildroot}/%{moodlerootdir}/filter/tex/ 1>/dev/null
%{__ln_s} mimetex.linux mimetex
popd 1>/dev/null
# moodle cronjob
install %{SOURCE2} %{buildroot}/%{_sysconfdir}/cron.d/suse.de-moodle
perl -pi -e "s#MOODLEROOTDIR#%{moodlerootdir}#g" %{buildroot}/%{_sysconfdir}/cron.d/suse.de-moodle
# moodle_include.conf for apache
install %{SOURCE3} %{buildroot}/%{apache_sysconfdir}/conf.d/
perl -pi -e "s#MOODLEROOTDIR#%{moodlerootdir}#g" %{buildroot}/%{apache_sysconfdir}/conf.d/moodle_include.conf
perl -pi -e "s#MOODLEURL#%{moodleurl}#g" %{buildroot}/%{apache_sysconfdir}/conf.d/moodle_include.conf
perl -pi -e "s#MOODLEDATADIR#%{moodledatadir}#g" %{buildroot}/%{apache_sysconfdir}/conf.d/moodle_include.conf
perl -pi -e "s#MOODLECONFDIR#%{moodleconfigdir}#g" %{buildroot}/%{apache_sysconfdir}/conf.d/moodle_include.conf
# config
install %{SOURCE4} %{buildroot}/%{moodlerootdir}/config.php
install %{SOURCE5} %{buildroot}/%{moodleconfigdir}/moodle-config.php
perl -pi -e "s#MOODLECONFIGDIR#%{moodleconfigdir}#g" %{buildroot}/%{moodlerootdir}/config.php
perl -pi -e "s#MOODLEROOTDIR#%{moodlerootdir}#g" %{buildroot}/%{moodleconfigdir}/moodle-config.php
perl -pi -e "s#MOODLEDATADIR#%{moodledatadir}#g" %{buildroot}/%{moodleconfigdir}/moodle-config.php
perl -pi -e "s#MOODLEURL#%{moodleurl}#g" %{buildroot}/%{moodleconfigdir}/moodle-config.php
perl -pi -e "s#DBHOST#localhost#g" %{buildroot}/%{moodleconfigdir}/moodle-config.php
# documentation
install -m644 %{SOURCE6} %{buildroot}/%{_defaultdocdir}/%{name}/README.SuSE
perl -pi -e "s#MOODLECONFIGDIR#%{moodleconfigdir}#g" %{buildroot}/%{_defaultdocdir}/%{name}/README.SuSE
%{__mv} %{buildroot}/%{moodlerootdir}/README* %{buildroot}/%{_defaultdocdir}/%{name}/
%{__mv} %{buildroot}/%{moodlerootdir}/lang/README* %{buildroot}/%{_defaultdocdir}/%{name}/README.lang
%{__mv} %{buildroot}/%{moodlerootdir}/config-dist.php %{buildroot}/%{_defaultdocdir}/%{name}/
chmod 644 %{buildroot}/%{_defaultdocdir}/%{name}/*
%{__mv} %{buildroot}/%{moodlerootdir}/moodle-oss/* %{buildroot}/%{_defaultdocdir}/%{name}/
rm -rf %{buildroot}/%{moodlerootdir}/moodle-oss
# reduce package size: use fdupes
%if 0%{?suse_version} > 1020
  %fdupes -s $RPM_BUILD_ROOT
%endif
# ---------------------------------------------------------------------------

%post
# check if we update...
if [ ${1:-0} -gt 1 ]; then
    if [ -f /etc/sysconfig/schoolserver ]; then
		/bin/bash /usr/share/doc/packages/moodle/./update-moodle.sh
    fi
else
    if [ -f /etc/sysconfig/schoolserver ]; then
		/bin/bash /usr/share/doc/packages/moodle/./setup-moodle.sh
	fi
fi
# ---------------------------------------------------------------------------

%clean
rm -rf %{buildroot}
# ---------------------------------------------------------------------------

%files 
%defattr(644,root,root,755)
%dir %{_defaultdocdir}/%{name}
%dir %{moodlerootdir}
%dir %{moodlerootdir}/lang
%dir %{moodleconfigdir}
%doc %{_defaultdocdir}/%{name}/*
%{moodlerootdir}/[a-ce-km-z]*
%{moodlerootdir}/lang/en*
%{moodlerootdir}/lib
%{moodlerootdir}/login
%config(noreplace) %{_sysconfdir}/cron.d/suse.de-moodle
%config(noreplace) %{apache_sysconfdir}/conf.d/moodle_include.conf
%config(noreplace) %attr(0460,wwwrun,root)%{moodleconfigdir}/moodle-config.php
%defattr(644,wwwrun,www,775)
%dir %{moodledatadir}
%{moodledatadir}/*
%defattr(755,root,root,-)
%{moodlerootdir}/mod/wiki/ewiki/fragments/mkhuge 
%{moodlerootdir}/mod/chat/chatd.php 
%{moodlerootdir}/lib/editor/htmlarea/plugins/SpellChecker/spell-check-logic.cgi 
%{moodlerootdir}/filter/algebra/algebra2tex.pl 
%{moodlerootdir}/admin/process_email.php 

%changelog
* Tue Mar 31 2009 - lrupp@suse.de
- fix bnc#490087: Moodle File Disclosure Vulnerability
  + moodle-1.8.2-CVE-2009-1171.patch
* Mon Mar 16 2009 - lrupp@suse.de
- fix bnc#475111: moodle XSS, CSRF
  + moodle-1.8.2-CVE-2009-0499.patch
  + moodle-1.8.2-CVE-2009-0500.patch
  + moodle-1.8.2-CVE-2009-0501.patch
  + moodle-1.8.2-CVE-2009-0502.patch
* Mon Jan 19 2009 - lrupp@suse.de
- fix CVE-2008-5432 (bnc#457599): Cross Site Scripting (XSS)
  possible through Wiki page titles
  (moodle-1.8.2-CVE-2008-5432.patch)
* Thu Jul 24 2008 - lrupp@suse.de
- fix persistent Cross-site Scripting (XSS) on Moodle via blog
  entry title (moodle-1.8.2-CVE-2008-3326.patch) (bnc#411476)
* Mon Jul 14 2008 - lrupp@suse.de
- KSES related XSS security vulnerability fixed (bnc#406659)
* Tue Mar 18 2008 - lrupp@suse.de
- fix a bug with the regex_replace modifier that can allow php
  functions to be called in templates (bnc#371673)
  moodle-CVE-2008-1066.patch
* Wed Jan 30 2008 - lrupp@suse.de
- fix minor security problem in installer (bnc#353579)
  moodle-1.8.2-CVE-2008-0123.patch
* Mon Aug 06 2007 - lrupp@suse.de
- update to 1.8.2:
  + groups implementation has been cleaned up
  + two XSS security vulnerabilities were fixed
  + more XHTML validation cleanups
  + fixed user upload failure when file contains utf-8 bom
  + more on http://docs.moodle.org/en/Release_Notes#Moodle_1.8.2
* Tue Jun 05 2007 - lrupp@suse.de
- Require mysql >= 5.0 (for UTF8 Support)
- use fdupes to find duplicate files
- Remove libbz2 from BuildRequires
- Remove triggerpostun
* Sun Apr 01 2007 - lrupp@suse.de
- Upgrade to 1.8:
  + Accessibility improvements
  + it is now possible to link Moodle sites allowing cross-site
  roaming, transparent enrolments and remote log viewing.
  + Roles improvements
- changes in moodle_include.conf:
  + set "safe_mode Off" and
  + "session.save_handler = files"
  + increased "post_max_size" and "upload_max_filesize" to 16M
  see http://docs.moodle.org/en/Installing_Moodle for more details
- updated language files
- updated moodle-oss
- added php4-ldap php4-imap freetype2 to Requires
* Sun Apr 01 2007 - lrupp@suse.de
- add libbz2 to BuildRequires for > 1020
* Thu Mar 29 2007 - dmueller@suse.de
- update BuildRequires
* Wed Feb 07 2007 - lrupp@suse.de
- remove trailing '/' from config
- move moodle to /srv/www/moodle
- adapt OSS scripts to new locations
* Tue Jan 23 2007 - lrupp@suse.de
- updated moodle to 1.7.1 (bugfix release)
- updated language packs
- fixed requires for SLES9
- added triggerpostun for old config move
- added 'de_du' package
* Tue Dec 19 2006 - lrupp@suse.de
- some enhancements in the moodle-add-user script
- changed default currency to "EUR" instead of "USD" in the database
* Fri Dec 08 2006 - lrupp@suse.de
- Updated ca, en, es, eu, fr, ja, ko, tr and vi language files
- updated setup and plugin script in moodle-oss.tar.bz2
* Fri Nov 17 2006 - lrupp@suse.de
- updated translations
- beautify specfile
- added locale Provides to language packages
- updated database dump and OSS scripts
* Tue Nov 14 2006 - lrupp@suse.de
- upgrade to 1.7:
  + allows user roles now
  + new XML database schema for support of a wider range of
  databases
  + New admin interface which makes it easier to find settings
  + first Unit testing framework for developers
  + first AJAX features (unstable atm) in course editing
  + many small bugfixes - see:
  http://docs.moodle.org/en/Release_Notes#Moodle_1.7
- updated language files
- rewrite some special OSS scripts
* Sat Nov 04 2006 - lrupp@suse.de
- use admin_flag in apache config ( #216923 )
- some security enhancements:
  + make config not world wide readable
  + set register_globals off
  + use open_basedir restrictions
  + disable Session auto start
- added mod_php4 config for older distributions
- updated language packs
- added Hindi, Croatian, Icelandic, Somali translations
- added en_utf8: en is just a placeholder now
* Sun Oct 15 2006 - lrupp@suse.de
- new version: 1.6.3
- all patches included upstream
* Fri Oct 06 2006 - lrupp@suse.de
- updated language files
- added patches:
  + Fixing $tempfiledir path in spellchecker
  + update mdl fields during login only once if 'oncreation' is set
  + don't show backup directory to all users
  + corrected display of best grade if maximum grade != 100
  + If a theme doesn't exist then revert to standardwhite
  + make course upload size limits apply to students only
  + remove linefeeds from textfiles after editing in browser window
  + fix error message when the first lesson is created
  + allow UTF-8 strings to be truncated at character
  boundaries instead of word boundaries (fix MDL-5378)
  + studentview was not working in hidden courses (MDL-6341)
  + trigger correct upgrade of tables for HotPot v1
  + Fix JavaScript timer problem (endless loop)
  + added missing global to restore teachers correctly (MDL-6084)
  + added eu as toplevel domain in validateurlsyntax.php
* Thu Sep 28 2006 - lrupp@suse.de
- update to 1.6.2
  * many security fixes in filehandling (upload, backup)
  * bugfixe in localisation packages
  * fixes in Lesson module
  * sessiontimeout setting works now
- added plugins for adding and deleting users via LDAP
* Thu Aug 31 2006 - lrupp@suse.de
- initial package (1.6.1)
